World world;
ArrayList<Robot> robots;

boolean loadMultipleRobots = false;

void setup() {
  size(800, 800);
  
  if (loadMultipleRobots) {
    world = new World("minefield.kwld");
    robots = new RobotLoader().load("minefield.krbs", world);
  } else {
    world = new World("level.kwld");
    robots = new RobotLoader().load("level.krbs", world);
  }

  world.setDelay(250);
  
  println("\nPress space to start");
}

void draw() {
  background(#eeeeee);
  world.draw();
  
  for (Robot robot : robots) {
    robot.draw();
  }
}

int pics = 0;
boolean started = false;
void keyPressed() {
  if (keyCode == 80) { // "p"
    saveFrame("level-img_"+pics+".png");
    pics++;
  } else if (keyCode == 32 && !started) { // spacebar
    for (Robot robot : robots) {
      robot.start();
    }
    started = true;
  }
}